mxEventObject (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxEventObject

    java.lang.Object
      com.mxgraph.util.mxEventObject

    public class mxEventObject

extends Object

Base class for objects that dispatch named events.

Field Summary
`protected boolean` | `consumed` Holds the consumed state of the event.
`protected String` | `name` Holds the name of the event.
`protected Map<String,Object>` | `properties` Holds the properties of the event.

Constructor Summary
`mxEventObject(String name)` Constructs a new event for the given name.
`mxEventObject(String name, Object... args)` Constructs a new event for the given name and properties.

Method Summary
`void` | `consume()` Consumes the event.
`String` | `getName()` Returns the name of the event.
`Map<String,Object>` | `getProperties()`
`Object` | `getProperty(String key)`
`boolean` | `isConsumed()` Returns true if the event has been consumed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

  Holds the name of the event.

### properties

    protected Map<String,Object> properties

  Holds the properties of the event.

### consumed

    protected boolean consumed

  Holds the consumed state of the event. Default is false.

Constructor Detail

### mxEventObject

    public mxEventObject(String name)

  Constructs a new event for the given name.

### mxEventObject

    public mxEventObject(String name,
                         Object... args)

  Constructs a new event for the given name and properties. The optional properties are specified using a sequence of keys and values, eg. `new mxEventObject("eventName", key1, val1, .., keyN, valN))`

Method Detail

### getName

    public String getName()

  Returns the name of the event.

### getProperties

    public Map<String,Object> getProperties()

### getProperty

    public Object getProperty(String key)

### isConsumed

    public boolean isConsumed()

  Returns true if the event has been consumed.

### consume

    public void consume()

  Consumes the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.